Resync streams

Base URL
https://{kibana_url}
  • POST /api/streams/_resync
  • POST /s/{space_id}/api/streams/_resync
Auth

Resyncs all streams, making sure that Elasticsearch assets are up to date

Required authorization

Privileges manage_stream

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:

Response

200

Streams were resynced successfully.

Base URL
https://{kibana_url}